summaryrefslogtreecommitdiffstats
path: root/system/zfs-fuse/zfs-fuse.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/zfs-fuse/zfs-fuse.SlackBuild')
-rw-r--r--system/zfs-fuse/zfs-fuse.SlackBuild16
1 files changed, 7 insertions, 9 deletions
diff --git a/system/zfs-fuse/zfs-fuse.SlackBuild b/system/zfs-fuse/zfs-fuse.SlackBuild
index ce41e03484..5866500e93 100644
--- a/system/zfs-fuse/zfs-fuse.SlackBuild
+++ b/system/zfs-fuse/zfs-fuse.SlackBuild
@@ -4,16 +4,14 @@
# Steven King revision date 2010/01/17
PRGNAM=zfs-fuse
-VERSION=0.6.0
+VERSION=0.6.9
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -39,10 +37,16 @@ cd src
scons install install_dir=$PKG/usr/sbin
cd ..
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
# Install init script
mkdir -p $PKG/etc/rc.d
cat $CWD/rc.zfs-fuse > $PKG/etc/rc.d/rc.zfs-fuse.new
+mkdir -p $PKG/usr/man/man8
+cp doc/*.8.gz $PKG/usr/man/man8
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
BUGS HACKING LICENSE TESTING CHANGES INSTALL README* STATUS TODO \
@@ -50,15 +54,9 @@ cp -a \
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-mkdir -p $PKG/usr/man/man8
-cp doc/*.8.gz $PKG/usr/man/man8
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}